petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectTypeCompareAny

Determines whether a PETSc object is of any of a list of types.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectTypeCompareAny(PetscObject obj,PetscBool *match,const char type_name[],...)

Not Collective Many br

### Input Parameters

| obj | - any PETSc object, for example a Vec, Mat or KSP. Many brThis must be cast with a (PetscObject), for example, PetscObjectTypeCompareAny((PetscObject)mat,...); Many br
| type_name | - string containing a type name, pass the empty string "" to terminate the list Many br

### Output Parameter

match -PETSC_TRUE if the type of obj matches any in the list, else PETSC_FALSE Many br

Many br

### See Also

VecGetType(), KSPGetType(), PCGetType(), SNESGetType(), PetscObjectTypeCompare()

Level:intermediate
Location:src/sys/objects/destroy.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages